curl --request GET \
--url https://api.kameleoon.com/widget-studio \
--header 'Authorization: Bearer <token>'[
{
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"elements": [
"BOX"
],
"eventActions": [
"SET_LOCAL_STORAGE"
],
"eventConditions": [
"BEFORE_DISPLAY"
],
"fonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"isLegacy": true,
"screens": [
{
"id": "<string>",
"name": "<string>",
"templateName": "<string>"
}
],
"translation": {
"defaultLanguageId": "<string>",
"enabled": true,
"languages": [
{
"IID": "<string>",
"code": "<string>",
"name": "<string>"
}
]
},
"version": 123,
"widgetEditorTemplate": "<string>",
"widgetId": 123
}
]Get a list of all widget studios. To use optionalFields check out this guide.
curl --request GET \
--url https://api.kameleoon.com/widget-studio \
--header 'Authorization: Bearer <token>'[
{
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"elements": [
"BOX"
],
"eventActions": [
"SET_LOCAL_STORAGE"
],
"eventConditions": [
"BEFORE_DISPLAY"
],
"fonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"isLegacy": true,
"screens": [
{
"id": "<string>",
"name": "<string>",
"templateName": "<string>"
}
],
"translation": {
"defaultLanguageId": "<string>",
"enabled": true,
"languages": [
{
"IID": "<string>",
"code": "<string>",
"name": "<string>"
}
]
},
"version": 123,
"widgetEditorTemplate": "<string>",
"widgetId": 123
}
]Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Date the widget studio object was created.
Date the widget studio object was last modified.
List of element types used in the widget studio.
List of element types used in the widget studio.
BOX, BUTTON, BUTTON_V2, CHECKBOX, CLOSE, COPY, COUNTDOWN, COUNTDOWN_V2, COUNTDOWN_PROGRESS_BAR, COUNTDOWN_V2_PROGRESS_BAR, DATE, FORM_ERROR_MESSAGE, GROUP, HEADING, HIDDEN_INPUT, HTML, IFRAME, IMAGE, INPUT, LINK, SCROLLING_TEXT, MULTI_STEP_FORM, PRODUCT_RECO, PROGRESS_BAR, RADIO_BUTTON, SELECT, SHAPE, SLIDER, STEP_PROGRESS_BAR, TEXT, TEXTAREA, TIME, TOOLTIP, TOGGLE, VIDEO, QR_CODE, RANGE_INPUT, SPIN_WHEEL, SCALE, SCRATCH_CARD, NPS, MULTI_CHOICE, SHORT_TEXT, LONG_TEXT List of event actions that can be triggered within the widget studio.
List of event actions that can be triggered within the widget studio.
SET_LOCAL_STORAGE, SET_SESSION_STORAGE, SET_COOKIES, SHOW_ELEMENT, HIDE_ELEMENT, SET_STEP, CLICK_ON_ELEMENT, FORM_DISABLE, FORM_ENABLE, JAVASCRIPT, PROCESS_CONVERSION, CANCEL_CONVERSION, SET_CUSTOM_DATA, TRIGGER_EVENT, SET_PROGRESS, SEND_DATA, RUN_ROTATION_SPIN_WHEEL, SET_LOCALE, URL_REDIRECT List of event conditions that determine widget studio behavior.
List of event conditions that determine widget studio behavior.
BEFORE_DISPLAY, AFTER_DISPLAY, ON_COUNTDOWN_END, IS_MOBILE, IS_NOT_MOBILE, IS_TABLET, IS_NOT_TABLET, IS_DESKTOP, IS_NOT_DESKTOP, FORM_ITEM_VALUE, BY_CUSTOM_DATA, ON_CLICK, ON_SUCCESS, ON_ERROR, REVEALED_SCRATCH_CARD, ON_SPIN_WHEEL_TURNED, WIN_SLICE_VALUE, ON_TIMER_END, VISITOR_BROWSER_LANGUAGE, URL_CONTAINS, URL_REGEX, ON_VIDEO_END List of custom fonts used within the widget studio.
Show child attributes
Indicate if the widget is part of a legacy system
List of screens that are part of this widget studio configuration.
Show child attributes
Translation settings for the widget studio.
Show child attributes
Version of the widget, precision = 5, scale = 2.
Serialized JSON representation of the widget configuration used in the editor.
Id of the widget.
Was this page helpful?